using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using Microsoft.HomeServer.Extensibility;

namespace Microsoft.HomeServer.HomeServerConsoleTab.FancyListViewDemoCS
{
   public class HomeServerTabExtender : IConsoleTab
   {
      private IConsoleServices consoleServices;
      private MainTabUserControl tabControl;

      public HomeServerTabExtender(int width, int height, IConsoleServices consoleServices)
      {
         this.consoleServices = consoleServices;

         tabControl = new MainTabUserControl(width, height, consoleServices);

         //Additional setup code here


      }

      public Guid SettingsGuid
      {
         get
         {
            return new Guid("b091539e-afd8-4965-bde6-e12e3c6ca0e8");
         }
      }

      public Control TabControl
      {
         get
         {
            return tabControl;
         }
      }

      public Bitmap TabImage
      {
         get
         {
            return Properties.Resources.DefaultToolBarIcon;
         }
      }

      public string TabText
      {
         get
         {
            return "FancyListViewDemoCS";
         }
      }

      public bool GetHelp()
      {
         return false;
      }
   }
}
